Calendar
Delete an event
Deletes an event added in the app (events from e-mail or CalDAV can't be deleted). POST is accepted too.
Authorization
AuthorizationheaderrequiredBearer token: API key (sk_…), OAuth access token (mcp_…) or mobile session (xk_…).
Module: CalendarScope:
crm.writePath parameters
idintegerrequiredEvent id.
Errors
| HTTP | error | Meaning |
|---|---|---|
403 | forbidden | You may not see / edit this record. |
404 | not_found | Record not found. |
Request
curl -X DELETE https://ornek.solk.app/api/v1/events/1 \
-H "Authorization: Bearer $SOLK_API_KEY"const res = await fetch("https://ornek.solk.app/api/v1/events/1", {
method: "DELETE",
headers: {
Authorization: `Bearer ${process.env.SOLK_API_KEY}`,
},
});
const data = await res.json();import os, requests
r = requests.delete(
"https://ornek.solk.app/api/v1/events/1",
headers={"Authorization": f"Bearer {os.environ['SOLK_API_KEY']}"},
)
print(r.json())Response
{
"ok": true
}Example responses were captured from a v22 installation running sample data; lists are shortened to two items.